curl -X GET "https://api-integration.ollang.com/integration/content/export?targetLanguage=tr" \
-H "X-Api-Key: <your-api-key>"
curl -X GET "https://api-integration.ollang.com/integration/content/export?targetLanguages[]=tr&targetLanguages[]=en" \
-H "X-Api-Key: <your-api-key>"
curl -X GET "https://api-integration.ollang.com/integration/content/export?targetLanguages=tr&targetLanguages=en" \
-H "X-Api-Key: <your-api-key>"
curl -X GET "https://api-integration.ollang.com/integration/content/export?targetLanguage=tr&tags[]=ui&orderIds[]=60b8d6f1e1b9b1d8c6c0d8e1" \
-H "X-Api-Key: <your-api-key>"
const params = new URLSearchParams();
params.append("targetLanguages[]", "tr");
params.append("targetLanguages[]", "en");
params.append("tags[]", "ui");
const response = await fetch(
`https://api-integration.ollang.com/integration/content/export?${params}`,
{
method: "GET",
headers: {
"X-Api-Key": "<your-api-key>",
},
},
);
const data = await response.json();
import requests
params = {
"targetLanguages[]": ["tr", "en"],
"tags[]": ["ui"],
}
response = requests.get(
"https://api-integration.ollang.com/integration/content/export",
params=params,
headers={"X-Api-Key": "<your-api-key>"},
)
data = response.json()
{
"Good morning": "Günaydın",
"Sign in": "Giriş Yap",
"Dashboard": "Pano",
"Settings": "Ayarlar"
}
{
"tr": {
"Good morning": "Günaydın",
"Sign in": "Giriş Yap"
},
"es": {
"Good morning": "Buenos días",
"Sign in": "Iniciar sesión"
}
}
{}
{
"statusCode": 400,
"message": [
"each value in targetLanguages must be a string"
],
"error": "Bad Request"
}
{
"error": "Unauthorized",
"message": "Invalid or missing API key",
"code": "UNAUTHORIZED"
}
Ollang API Reference
Export Content
Export your content translations as JSON, filtered by language, tags, and orders
GET
/
integration
/
content
/
export
curl -X GET "https://api-integration.ollang.com/integration/content/export?targetLanguage=tr" \
-H "X-Api-Key: <your-api-key>"
curl -X GET "https://api-integration.ollang.com/integration/content/export?targetLanguages[]=tr&targetLanguages[]=en" \
-H "X-Api-Key: <your-api-key>"
curl -X GET "https://api-integration.ollang.com/integration/content/export?targetLanguages=tr&targetLanguages=en" \
-H "X-Api-Key: <your-api-key>"
curl -X GET "https://api-integration.ollang.com/integration/content/export?targetLanguage=tr&tags[]=ui&orderIds[]=60b8d6f1e1b9b1d8c6c0d8e1" \
-H "X-Api-Key: <your-api-key>"
const params = new URLSearchParams();
params.append("targetLanguages[]", "tr");
params.append("targetLanguages[]", "en");
params.append("tags[]", "ui");
const response = await fetch(
`https://api-integration.ollang.com/integration/content/export?${params}`,
{
method: "GET",
headers: {
"X-Api-Key": "<your-api-key>",
},
},
);
const data = await response.json();
import requests
params = {
"targetLanguages[]": ["tr", "en"],
"tags[]": ["ui"],
}
response = requests.get(
"https://api-integration.ollang.com/integration/content/export",
params=params,
headers={"X-Api-Key": "<your-api-key>"},
)
data = response.json()
{
"Good morning": "Günaydın",
"Sign in": "Giriş Yap",
"Dashboard": "Pano",
"Settings": "Ayarlar"
}
{
"tr": {
"Good morning": "Günaydın",
"Sign in": "Giriş Yap"
},
"es": {
"Good morning": "Buenos días",
"Sign in": "Iniciar sesión"
}
}
{}
{
"statusCode": 400,
"message": [
"each value in targetLanguages must be a string"
],
"error": "Bad Request"
}
{
"error": "Unauthorized",
"message": "Invalid or missing API key",
"code": "UNAUTHORIZED"
}
Export all content translations for your account. You can filter by target language(s), tag(s), and order ID(s). Single-language exports return a flat key-value map; multi-language exports return a map grouped by language code.
Multiple languages — map keyed by language code, each containing a flat key-value map:
curl -X GET "https://api-integration.ollang.com/integration/content/export?targetLanguage=tr" \
-H "X-Api-Key: <your-api-key>"
curl -X GET "https://api-integration.ollang.com/integration/content/export?targetLanguages[]=tr&targetLanguages[]=en" \
-H "X-Api-Key: <your-api-key>"
curl -X GET "https://api-integration.ollang.com/integration/content/export?targetLanguages=tr&targetLanguages=en" \
-H "X-Api-Key: <your-api-key>"
curl -X GET "https://api-integration.ollang.com/integration/content/export?targetLanguage=tr&tags[]=ui&orderIds[]=60b8d6f1e1b9b1d8c6c0d8e1" \
-H "X-Api-Key: <your-api-key>"
const params = new URLSearchParams();
params.append("targetLanguages[]", "tr");
params.append("targetLanguages[]", "en");
params.append("tags[]", "ui");
const response = await fetch(
`https://api-integration.ollang.com/integration/content/export?${params}`,
{
method: "GET",
headers: {
"X-Api-Key": "<your-api-key>",
},
},
);
const data = await response.json();
import requests
params = {
"targetLanguages[]": ["tr", "en"],
"tags[]": ["ui"],
}
response = requests.get(
"https://api-integration.ollang.com/integration/content/export",
params=params,
headers={"X-Api-Key": "<your-api-key>"},
)
data = response.json()
Authorizations
This endpoint requires API key authentication. Include your API key in the request header:- Header name:
X-Api-Key - Header value: Your API key from the Ollang dashboard
Query Parameters
string
Filter by a single target language code (e.g.,
tr). Use targetLanguages
for multi-language export. Do not send both targetLanguage and
targetLanguages in the same request — pick one.string[]
Filter by one or more target language codes. When multiple languages are
provided, the response is grouped by language. Two syntaxes are accepted
and treated equivalently:
- Bracket form:
?targetLanguages[]=tr&targetLanguages[]=en - Repeated-key form:
?targetLanguages=tr&targetLanguages=en
?targetLanguages=tr) is also accepted and is coerced into
a one-element array.string
Filter by a single tag.
string[]
Filter by one or more tags. Returns content terms that have at least one of
the specified tags. Accepts both
?tags[]=ui&tags[]=marketing and
?tags=ui&tags=marketing.string[]
Filter by one or more order IDs. Only content terms associated with the
specified orders will be included. Accepts both
?orderIds[]=a&orderIds[]=b
and ?orderIds=a&orderIds=b.Response
The response format depends on how many languages are requested: Single language — flat key-value map where keys are source texts and values are translations:{
"Good morning": "Günaydın",
"Sign in": "Giriş Yap",
"Dashboard": "Pano"
}
{
"tr": {
"Good morning": "Günaydın",
"Sign in": "Giriş Yap"
},
"en": {
"Good morning": "Good morning",
"Sign in": "Sign in"
}
}
{
"Good morning": "Günaydın",
"Sign in": "Giriş Yap",
"Dashboard": "Pano",
"Settings": "Ayarlar"
}
{
"tr": {
"Good morning": "Günaydın",
"Sign in": "Giriş Yap"
},
"es": {
"Good morning": "Buenos días",
"Sign in": "Iniciar sesión"
}
}
{}
{
"statusCode": 400,
"message": [
"each value in targetLanguages must be a string"
],
"error": "Bad Request"
}
{
"error": "Unauthorized",
"message": "Invalid or missing API key",
"code": "UNAUTHORIZED"
}
Was this page helpful?